

(function ($) {
  Drupal.BTDonations.setup = function($) {
    if (typeof braintree != 'undefined' && Drupal.BTDonations.clientToken.length > 0 && Drupal.BTDonations.initialized == false) {
      Drupal.BTDonations.initialized = true;
      var options = {
        container: "edit-transaction-dropin"
      };
      if (Drupal.BTDonations.advancedFraudDetect) {
        options.dataCollector = { kount: { environment: Drupal.BTDonations.environment } };
        options.onReady = function (braintreeInstance) {
          $('input[name="payment_device_data"]').val(braintreeInstance.deviceData);
        }
      }
      braintree.setup(Drupal.BTDonations.clientToken, "dropin", options);
      // Show button when the document is ready.
      $(function() {
        $('div.braintree-donations-credit-card-submit').show();
      });
    }
  }

  var url = Drupal.BTDonations.basePath + 'braintree-donations/client-token';
  $.ajax({
    cache: false,
    type: 'GET',
    url: location.protocol + '//' + location.host + url,
    dataType: 'json',
    success: function (data) {
      if (typeof data.token != 'undefined') {
        Drupal.BTDonations.clientToken = data.token;
        // If the braintree library loaded during the ajax call, initialize it.
        Drupal.BTDonations.setup($);
      }
    },
    error: function (xmlhttp) {
      //
    }
  });
  // Hide warning when the document is ready.
  $(function() {
    $('#braintree-no-js-warning').hide();
  });
})(jQuery);
